Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface SVGAnimationContext

All Superinterfaces:
  org.w3c.dom.smil.ElementTimeControl, SVGContext

All Known Implementing Classes:
  SVGAnimateColorElementBridge, SVGAnimateElementBridge, SVGAnimateMotionElementBridge, SVGAnimateTransformElementBridge, SVGAnimationElementBridge, SVGSetElementBridge

    public interface SVGAnimationContext

extends SVGContext, org.w3c.dom.smil.ElementTimeControl

Context class for SVG animation elements to support extra methods.

Field Summary

Fields inherited from interface org.apache.batik.dom.svg.SVGContext
`PERCENTAGE_FONT_SIZE, PERCENTAGE_VIEWPORT_HEIGHT, PERCENTAGE_VIEWPORT_SIZE, PERCENTAGE_VIEWPORT_WIDTH`

Method Summary
`float` | `getCurrentTime()` DOM: Implements `SVGAnimationElement.getCurrentTime()`.
`float` | `getHyperlinkBeginTime()` Returns the time that the document would seek to if this animation element were hyperlinked to, or `NaN` if there is no such begin time.
`float` | `getSimpleDuration()` DOM: Implements `SVGAnimationElement.getSimpleDuration()`.
`float` | `getStartTime()` DOM: Implements `SVGAnimationElement.getStartTime()`.
`org.w3c.dom.svg.SVGElement` | `getTargetElement()` DOM: Implements `SVGAnimationElement.getTargetElement()`.

Methods inherited from interface org.apache.batik.dom.svg.SVGContext
`getBBox, getCTM, getFontSize, getGlobalTransform, getPixelToMM, getPixelUnitToMillimeter, getScreenTransform, getViewportHeight, getViewportWidth, setScreenTransform`

Methods inherited from interface org.w3c.dom.smil.ElementTimeControl
`beginElement, beginElementAt, endElement, endElementAt`

Method Detail

### getTargetElement

    org.w3c.dom.svg.SVGElement getTargetElement()

  DOM: Implements `SVGAnimationElement.getTargetElement()`.

### getStartTime

    float getStartTime()

  DOM: Implements `SVGAnimationElement.getStartTime()`.

### getCurrentTime

    float getCurrentTime()

  DOM: Implements `SVGAnimationElement.getCurrentTime()`.

### getSimpleDuration

    float getSimpleDuration()

  DOM: Implements `SVGAnimationElement.getSimpleDuration()`. With the difference that an indefinite simple duration is returned as `TimedElement.INDEFINITE`, rather than throwing an exception.

### getHyperlinkBeginTime

    float getHyperlinkBeginTime()

  Returns the time that the document would seek to if this animation element were hyperlinked to, or `NaN` if there is no such begin time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.